# Selflessness

Selflessness means acting with the intent of helping others without harming or taking advantage of them or anyone else, with the possible exception of oneself. It is the opposite of [self interest](self_interest.md). Selflessness is the basis of an [ideal society](ideal_society.md) and [good technology](lrs.md) (while self interest is the basis of our current dystopian [capitalist](capitalism.md) society).

In the real world absolutely pure selflessness may be very hard to find, but an example that comes close may perhaps be [Langar](langar.md), the big community kitchens run by [Sikhs](sikhism.md) that prepare and serve free [vegetarian](vegetarian.md) food to anyone who comes without differentiating between religious beliefs, skin color, social status, gender etc. Sikhs sometimes also similarly offer a place to stay etc.

Selflessness doesn't mean one seeks no reward, there is practically always at least one reward for a selflessly behaving individual: the good feeling that comes from the selfless action. Selfless acting may also include physical rewards, for example if a programmer dedicates years of his life to developing a [free](free_software.md) [public domain](public_domain.md) software that will help all people, he himself will get the benefits of using that program himself. The key thing is that he doesn't use the program to harm others, e.g. by charging money for it or even by using a license that forces others to credit him and so increase his reputation.

The latter is important to show that what's many times called selflessness nowadays is only **pseudoselflessness**, a fake selflessness. This includes e.g. all the celebrities who publicly financially support charities; this seems like a nice gesture but it's of course just a marketing stunt, the money spent on charities is money invested into promoting oneself, increasing fame, lowering taxes etc. This also goes for professional firefighters, doctors, [FOSS](foss.md) programmers that use licenses with conditions such as attribution etc.

Selfless programs and art should be put into the [public domain](public_domain.md) with waivers such as [CC0](cc0.md).